::cd /d %~dp0
copy "%~dpnx1" "%~dpn1-大臣"%~x1
ren *大臣.docx  *.zip

@echo off
 
::设置保存文件的目录
set SavePath=%desktop%图片
 
::设置要提取的文件格式
set ExtractExt=*.png *.jpg *.jpeg *.gif

::设置压缩包格式
set CompressPKG=*-大臣.zip
 
::设置winRAR的安装路径
set WinRARPath=%temp%

if not exist "%SavePath%" md "%SavePath%"
 
set Path=%Path%;%WinRARPath%
 
WinRAR e %CompressPKG% %ExtractExt% "%SavePath%\"

del *-大臣.zip